%define	pdir	XML
%define	pnam	Handler-YAWriter
%define name    perl-%{pdir}-%{pnam}
%define version 0.23
%define release %mkrel 12

Summary:	XML::Handler::YAWriter perl module
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl-libxml-perl >= 0.06
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Url: http://www.cpan.org/
Obsoletes:	%{pdir}-%{pnam}
Provides:	%{pdir}-%{pnam}

%description
YAWriter implements Yet Another XML::Handler::Writer. The reasons for
this one are that I needed a flexible escaping technique, and want
some kind of pretty printing.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT

%makeinstall DESTDIR=$RPM_BUILD_ROOT

%{__rm} -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{perl_vendorlib}/XML/Handler/*
%{_mandir}/man[13]/*




%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.23-12mdv2009.0
+ Revision: 224627
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.23-11mdv2008.1
+ Revision: 180657
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.23-10mdv2008.0
+ Revision: 64205
- rebuild


* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 19:43:51 (54168)
- rebuild

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 19:35:45 (54167)
Import perl-XML-Handler-YAWriter

* Sun Apr 30 2006 Olivier Thauvin <nanardon@mandriva.org> 0.23-8mdk
- rebuild && %%mkrel

* Sat Jan 01 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.23-7mdk
- "Birthday rebuild" and q/Happy new year/;

